## Fetch participants list of a session `client.realtimeKit.sessions.getSessionParticipants(stringappId, stringsessionId, SessionGetSessionParticipantsParamsparams, RequestOptionsoptions?): SessionGetSessionParticipantsResponse` **get** `/accounts/{account_id}/realtime/kit/{app_id}/sessions/{session_id}/participants` Returns a list of participants for the given session ID. ### Parameters - `appId: string` The app identifier tag. - `sessionId: string` - `params: SessionGetSessionParticipantsParams` - `account_id: string` Path param: The account identifier tag. - `include_peer_events?: boolean` Query param: if true, response includes all the peer events of participants. - `page_no?: number` Query param: The page number from which you want your page search results to be displayed. - `per_page?: number` Query param: Number of results per page - `search?: string` Query param: The search query string. You can search using the meeting ID or title. - `sort_by?: "joinedAt" | "duration"` Query param - `"joinedAt"` - `"duration"` - `sort_order?: "ASC" | "DESC"` Query param - `"ASC"` - `"DESC"` - `view?: "raw" | "consolidated"` Query param: In breakout room sessions, the view parameter can be set to `raw` for session specific duration for participants or `consolidated` to accumulate breakout room durations. - `"raw"` - `"consolidated"` ### Returns - `SessionGetSessionParticipantsResponse` - `data?: Data` - `participants?: Array` - `id?: string` Participant ID. This maps to the corresponding peerId. - `created_at?: string` timestamp when this participant was created. - `custom_participant_id?: string` ID passed by client to create this participant. - `display_name?: string` Display name of participant when joining the session. - `duration?: number` number of minutes for which the participant was in the session. - `joined_at?: string` timestamp at which participant joined the session. - `left_at?: string` timestamp at which participant left the session. - `preset_name?: string` Name of the preset associated with the participant. - `updated_at?: string` timestamp when this participant's data was last updated. - `user_id?: string` User id for this participant. - `success?: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.realtimeKit.sessions.getSessionParticipants('app_id', 'session_id', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.data); ``` #### Response ```json { "data": { "paging": { "end_offset": 2, "start_offset": 1, "total_count": 123 }, "participants": [ { "created_at": "2023-02-01T10:51:08.039Z", "custom_participant_id": "83qi0i", "display_name": "Mark", "duration": 5.8097, "id": "005f4e0c-4d08-4d4e-a391-a76be75cd296", "joined_at": "2023-02-01T10:51:08.030Z", "left_at": "2023-02-01T10:56:56.612Z", "preset_name": "webinar_participant", "updated_at": "2023-02-01T10:56:56.618Z", "user_id": "0a08343d-a9dc-45f0-9feb-6a64afcc4f81" }, { "created_at": "2023-02-01T10:50:36.853Z", "custom_participant_id": "3uggr", "display_name": "Henry", "duration": 6.9263, "id": "51fdf95f-d893-471a-922b-7db7adb14453", "joined_at": "2023-02-01T10:50:36.846Z\"", "left_at": "2023-02-01T10:57:32.424Z", "preset_name": "webinar_participant", "updated_at": "2023-02-01T10:57:32.431Z", "user_id": "85e7f0fd-7c16-45e9-9d68-f17ef007c4eb" } ] }, "success": true } ```